#pragma once

#include "CoreMinimal.h"
#include "MaterialHelperUnaffectedComponentInterface.h"
#include "NiagaraComponent.h"
#include "MaterialHelperUnaffectedNiagaraComponent.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class GFXUTILITIES_API UMaterialHelperUnaffectedNiagaraComponent : public UNiagaraComponent, public IMaterialHelperUnaffectedComponentInterface
{
	GENERATED_BODY()

public:
	UMaterialHelperUnaffectedNiagaraComponent();
};

FORCEINLINE uint32 GetTypeHash(const UMaterialHelperUnaffectedNiagaraComponent) { return 0; }
